// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.13.0
// source: v1/dictionary_md/chemical_class_group.proto

package dictionary_md

import (
	_ "github.com/golang/protobuf/ptypes/timestamp"
	wrappers "github.com/golang/protobuf/ptypes/wrappers"
	dictionary_common "gitlab.com/fcpartners/apis/gen/dictionary/v1/dictionary_common"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type ChemicalClassGroup struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id             int64                            `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	ExternalId     int64                            `protobuf:"varint,2,opt,name=external_id,json=externalId,proto3" json:"external_id,omitempty"`
	Name           string                           `protobuf:"bytes,3,opt,name=name,proto3" json:"name,omitempty"`
	ProductType    dictionary_common.ProductType    `protobuf:"varint,5,opt,name=product_type,json=productType,proto3,enum=fcp.dictionary.v1.dictionary_common.ProductType" json:"product_type,omitempty"`
	ProductProcess dictionary_common.ProductProcess `protobuf:"varint,6,opt,name=product_process,json=productProcess,proto3,enum=fcp.dictionary.v1.dictionary_common.ProductProcess" json:"product_process,omitempty"`
	Description    string                           `protobuf:"bytes,4,opt,name=description,proto3" json:"description,omitempty"`
	Audit          *dictionary_common.Audit         `protobuf:"bytes,21,opt,name=audit,proto3" json:"audit,omitempty"`
}

func (x *ChemicalClassGroup) Reset() {
	*x = ChemicalClassGroup{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_md_chemical_class_group_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ChemicalClassGroup) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ChemicalClassGroup) ProtoMessage() {}

func (x *ChemicalClassGroup) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_md_chemical_class_group_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ChemicalClassGroup.ProtoReflect.Descriptor instead.
func (*ChemicalClassGroup) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_md_chemical_class_group_proto_rawDescGZIP(), []int{0}
}

func (x *ChemicalClassGroup) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *ChemicalClassGroup) GetExternalId() int64 {
	if x != nil {
		return x.ExternalId
	}
	return 0
}

func (x *ChemicalClassGroup) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *ChemicalClassGroup) GetProductType() dictionary_common.ProductType {
	if x != nil {
		return x.ProductType
	}
	return dictionary_common.ProductType_ProductType_UNSPECIFIED
}

func (x *ChemicalClassGroup) GetProductProcess() dictionary_common.ProductProcess {
	if x != nil {
		return x.ProductProcess
	}
	return dictionary_common.ProductProcess_UNSPECIFIED
}

func (x *ChemicalClassGroup) GetDescription() string {
	if x != nil {
		return x.Description
	}
	return ""
}

func (x *ChemicalClassGroup) GetAudit() *dictionary_common.Audit {
	if x != nil {
		return x.Audit
	}
	return nil
}

type ChemicalClassGroupFilter struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id             *wrappers.Int64Value                   `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	ExternalId     *wrappers.Int64Value                   `protobuf:"bytes,2,opt,name=external_id,json=externalId,proto3" json:"external_id,omitempty"`
	Name           *wrappers.StringValue                  `protobuf:"bytes,3,opt,name=name,proto3" json:"name,omitempty"` // LIKE
	ProductProcess *dictionary_common.ProductProcessValue `protobuf:"bytes,4,opt,name=product_process,json=productProcess,proto3" json:"product_process,omitempty"`
	ProductType    *dictionary_common.ProductTypeValue    `protobuf:"bytes,5,opt,name=product_type,json=productType,proto3" json:"product_type,omitempty"`
	// audit
	State     *dictionary_common.StateValue `protobuf:"bytes,21,opt,name=state,proto3" json:"state,omitempty"`
	CreatedAt *dictionary_common.TimeRange  `protobuf:"bytes,23,opt,name=created_at,json=createdAt,proto3" json:"created_at,omitempty"`
	CreatedBy *wrappers.StringValue         `protobuf:"bytes,24,opt,name=created_by,json=createdBy,proto3" json:"created_by,omitempty"`
	UpdatedAt *dictionary_common.TimeRange  `protobuf:"bytes,25,opt,name=updated_at,json=updatedAt,proto3" json:"updated_at,omitempty"`
	UpdatedBy *wrappers.StringValue         `protobuf:"bytes,26,opt,name=updated_by,json=updatedBy,proto3" json:"updated_by,omitempty"`
}

func (x *ChemicalClassGroupFilter) Reset() {
	*x = ChemicalClassGroupFilter{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_md_chemical_class_group_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ChemicalClassGroupFilter) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ChemicalClassGroupFilter) ProtoMessage() {}

func (x *ChemicalClassGroupFilter) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_md_chemical_class_group_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ChemicalClassGroupFilter.ProtoReflect.Descriptor instead.
func (*ChemicalClassGroupFilter) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_md_chemical_class_group_proto_rawDescGZIP(), []int{1}
}

func (x *ChemicalClassGroupFilter) GetId() *wrappers.Int64Value {
	if x != nil {
		return x.Id
	}
	return nil
}

func (x *ChemicalClassGroupFilter) GetExternalId() *wrappers.Int64Value {
	if x != nil {
		return x.ExternalId
	}
	return nil
}

func (x *ChemicalClassGroupFilter) GetName() *wrappers.StringValue {
	if x != nil {
		return x.Name
	}
	return nil
}

func (x *ChemicalClassGroupFilter) GetProductProcess() *dictionary_common.ProductProcessValue {
	if x != nil {
		return x.ProductProcess
	}
	return nil
}

func (x *ChemicalClassGroupFilter) GetProductType() *dictionary_common.ProductTypeValue {
	if x != nil {
		return x.ProductType
	}
	return nil
}

func (x *ChemicalClassGroupFilter) GetState() *dictionary_common.StateValue {
	if x != nil {
		return x.State
	}
	return nil
}

func (x *ChemicalClassGroupFilter) GetCreatedAt() *dictionary_common.TimeRange {
	if x != nil {
		return x.CreatedAt
	}
	return nil
}

func (x *ChemicalClassGroupFilter) GetCreatedBy() *wrappers.StringValue {
	if x != nil {
		return x.CreatedBy
	}
	return nil
}

func (x *ChemicalClassGroupFilter) GetUpdatedAt() *dictionary_common.TimeRange {
	if x != nil {
		return x.UpdatedAt
	}
	return nil
}

func (x *ChemicalClassGroupFilter) GetUpdatedBy() *wrappers.StringValue {
	if x != nil {
		return x.UpdatedBy
	}
	return nil
}

type GetChemicalClassGroupRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id int64 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
}

func (x *GetChemicalClassGroupRequest) Reset() {
	*x = GetChemicalClassGroupRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_md_chemical_class_group_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetChemicalClassGroupRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetChemicalClassGroupRequest) ProtoMessage() {}

func (x *GetChemicalClassGroupRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_md_chemical_class_group_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetChemicalClassGroupRequest.ProtoReflect.Descriptor instead.
func (*GetChemicalClassGroupRequest) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_md_chemical_class_group_proto_rawDescGZIP(), []int{2}
}

func (x *GetChemicalClassGroupRequest) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

type GetChemicalClassGroupResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Item *ChemicalClassGroup `protobuf:"bytes,1,opt,name=item,proto3" json:"item,omitempty"`
}

func (x *GetChemicalClassGroupResponse) Reset() {
	*x = GetChemicalClassGroupResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_md_chemical_class_group_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetChemicalClassGroupResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetChemicalClassGroupResponse) ProtoMessage() {}

func (x *GetChemicalClassGroupResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_md_chemical_class_group_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetChemicalClassGroupResponse.ProtoReflect.Descriptor instead.
func (*GetChemicalClassGroupResponse) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_md_chemical_class_group_proto_rawDescGZIP(), []int{3}
}

func (x *GetChemicalClassGroupResponse) GetItem() *ChemicalClassGroup {
	if x != nil {
		return x.Item
	}
	return nil
}

type ListChemicalClassGroupRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Filter *ChemicalClassGroupFilter `protobuf:"bytes,1,opt,name=filter,proto3" json:"filter,omitempty"`
	// sortable fields: id, external_id, name, created_at, updated_at
	Sorting []*dictionary_common.Sorting `protobuf:"bytes,2,rep,name=sorting,proto3" json:"sorting,omitempty"`
	// Pagination - Optional
	Pagination *dictionary_common.PaginationRequest `protobuf:"bytes,3,opt,name=pagination,proto3" json:"pagination,omitempty"`
}

func (x *ListChemicalClassGroupRequest) Reset() {
	*x = ListChemicalClassGroupRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_md_chemical_class_group_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListChemicalClassGroupRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListChemicalClassGroupRequest) ProtoMessage() {}

func (x *ListChemicalClassGroupRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_md_chemical_class_group_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListChemicalClassGroupRequest.ProtoReflect.Descriptor instead.
func (*ListChemicalClassGroupRequest) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_md_chemical_class_group_proto_rawDescGZIP(), []int{4}
}

func (x *ListChemicalClassGroupRequest) GetFilter() *ChemicalClassGroupFilter {
	if x != nil {
		return x.Filter
	}
	return nil
}

func (x *ListChemicalClassGroupRequest) GetSorting() []*dictionary_common.Sorting {
	if x != nil {
		return x.Sorting
	}
	return nil
}

func (x *ListChemicalClassGroupRequest) GetPagination() *dictionary_common.PaginationRequest {
	if x != nil {
		return x.Pagination
	}
	return nil
}

type ListChemicalClassGroupResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Items      []*ChemicalClassGroup                 `protobuf:"bytes,1,rep,name=items,proto3" json:"items,omitempty"`
	Pagination *dictionary_common.PaginationResponse `protobuf:"bytes,2,opt,name=pagination,proto3" json:"pagination,omitempty"`
}

func (x *ListChemicalClassGroupResponse) Reset() {
	*x = ListChemicalClassGroupResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_md_chemical_class_group_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListChemicalClassGroupResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListChemicalClassGroupResponse) ProtoMessage() {}

func (x *ListChemicalClassGroupResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_md_chemical_class_group_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListChemicalClassGroupResponse.ProtoReflect.Descriptor instead.
func (*ListChemicalClassGroupResponse) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_md_chemical_class_group_proto_rawDescGZIP(), []int{5}
}

func (x *ListChemicalClassGroupResponse) GetItems() []*ChemicalClassGroup {
	if x != nil {
		return x.Items
	}
	return nil
}

func (x *ListChemicalClassGroupResponse) GetPagination() *dictionary_common.PaginationResponse {
	if x != nil {
		return x.Pagination
	}
	return nil
}

type SaveChemicalClassGroupRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Item *ChemicalClassGroup `protobuf:"bytes,1,opt,name=item,proto3" json:"item,omitempty"`
}

func (x *SaveChemicalClassGroupRequest) Reset() {
	*x = SaveChemicalClassGroupRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_md_chemical_class_group_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SaveChemicalClassGroupRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SaveChemicalClassGroupRequest) ProtoMessage() {}

func (x *SaveChemicalClassGroupRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_md_chemical_class_group_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SaveChemicalClassGroupRequest.ProtoReflect.Descriptor instead.
func (*SaveChemicalClassGroupRequest) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_md_chemical_class_group_proto_rawDescGZIP(), []int{6}
}

func (x *SaveChemicalClassGroupRequest) GetItem() *ChemicalClassGroup {
	if x != nil {
		return x.Item
	}
	return nil
}

type SaveChemicalClassGroupResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id int64 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
}

func (x *SaveChemicalClassGroupResponse) Reset() {
	*x = SaveChemicalClassGroupResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_md_chemical_class_group_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SaveChemicalClassGroupResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SaveChemicalClassGroupResponse) ProtoMessage() {}

func (x *SaveChemicalClassGroupResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_md_chemical_class_group_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SaveChemicalClassGroupResponse.ProtoReflect.Descriptor instead.
func (*SaveChemicalClassGroupResponse) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_md_chemical_class_group_proto_rawDescGZIP(), []int{7}
}

func (x *SaveChemicalClassGroupResponse) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

var File_v1_dictionary_md_chemical_class_group_proto protoreflect.FileDescriptor

var file_v1_dictionary_md_chemical_class_group_proto_rawDesc = []byte{
	0x0a, 0x2b, 0x76, 0x31, 0x2f, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f,
	0x6d, 0x64, 0x2f, 0x63, 0x68, 0x65, 0x6d, 0x69, 0x63, 0x61, 0x6c, 0x5f, 0x63, 0x6c, 0x61, 0x73,
	0x73, 0x5f, 0x67, 0x72, 0x6f, 0x75, 0x70, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x1f, 0x66,
	0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31,
	0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x6d, 0x64, 0x1a, 0x1e,
	0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f,
	0x77, 0x72, 0x61, 0x70, 0x70, 0x65, 0x72, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1f,
	0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f,
	0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a,
	0x2c, 0x76, 0x31, 0x2f, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x63,
	0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2f, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79,
	0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x27, 0x76,
	0x31, 0x2f, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6d,
	0x6d, 0x6f, 0x6e, 0x2f, 0x65, 0x6e, 0x75, 0x6d, 0x5f, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0xf6, 0x02, 0x0a, 0x12, 0x43, 0x68, 0x65, 0x6d, 0x69,
	0x63, 0x61, 0x6c, 0x43, 0x6c, 0x61, 0x73, 0x73, 0x47, 0x72, 0x6f, 0x75, 0x70, 0x12, 0x0e, 0x0a,
	0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x02, 0x69, 0x64, 0x12, 0x1f, 0x0a,
	0x0b, 0x65, 0x78, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x6c, 0x5f, 0x69, 0x64, 0x18, 0x02, 0x20, 0x01,
	0x28, 0x03, 0x52, 0x0a, 0x65, 0x78, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x6c, 0x49, 0x64, 0x12, 0x12,
	0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61,
	0x6d, 0x65, 0x12, 0x53, 0x0a, 0x0c, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x5f, 0x74, 0x79,
	0x70, 0x65, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x30, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64,
	0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63,
	0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x50,
	0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x54, 0x79, 0x70, 0x65, 0x52, 0x0b, 0x70, 0x72, 0x6f, 0x64,
	0x75, 0x63, 0x74, 0x54, 0x79, 0x70, 0x65, 0x12, 0x5c, 0x0a, 0x0f, 0x70, 0x72, 0x6f, 0x64, 0x75,
	0x63, 0x74, 0x5f, 0x70, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x18, 0x06, 0x20, 0x01, 0x28, 0x0e,
	0x32, 0x33, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72,
	0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f,
	0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x50, 0x72,
	0x6f, 0x63, 0x65, 0x73, 0x73, 0x52, 0x0e, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x50, 0x72,
	0x6f, 0x63, 0x65, 0x73, 0x73, 0x12, 0x20, 0x0a, 0x0b, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70,
	0x74, 0x69, 0x6f, 0x6e, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x64, 0x65, 0x73, 0x63,
	0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x40, 0x0a, 0x05, 0x61, 0x75, 0x64, 0x69, 0x74,
	0x18, 0x15, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x2a, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63,
	0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69,
	0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x41, 0x75, 0x64,
	0x69, 0x74, 0x52, 0x05, 0x61, 0x75, 0x64, 0x69, 0x74, 0x4a, 0x04, 0x08, 0x07, 0x10, 0x15, 0x22,
	0xdf, 0x05, 0x0a, 0x18, 0x43, 0x68, 0x65, 0x6d, 0x69, 0x63, 0x61, 0x6c, 0x43, 0x6c, 0x61, 0x73,
	0x73, 0x47, 0x72, 0x6f, 0x75, 0x70, 0x46, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x12, 0x2b, 0x0a, 0x02,
	0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1b, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c,
	0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x49, 0x6e, 0x74, 0x36, 0x34,
	0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x02, 0x69, 0x64, 0x12, 0x3c, 0x0a, 0x0b, 0x65, 0x78, 0x74,
	0x65, 0x72, 0x6e, 0x61, 0x6c, 0x5f, 0x69, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1b,
	0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66,
	0x2e, 0x49, 0x6e, 0x74, 0x36, 0x34, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x0a, 0x65, 0x78, 0x74,
	0x65, 0x72, 0x6e, 0x61, 0x6c, 0x49, 0x64, 0x12, 0x30, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18,
	0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x56, 0x61,
	0x6c, 0x75, 0x65, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x61, 0x0a, 0x0f, 0x70, 0x72, 0x6f,
	0x64, 0x75, 0x63, 0x74, 0x5f, 0x70, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x18, 0x04, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x38, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e,
	0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72,
	0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74,
	0x50, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x0e, 0x70, 0x72,
	0x6f, 0x64, 0x75, 0x63, 0x74, 0x50, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x12, 0x58, 0x0a, 0x0c,
	0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x5f, 0x74, 0x79, 0x70, 0x65, 0x18, 0x05, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x35, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e,
	0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72,
	0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74,
	0x54, 0x79, 0x70, 0x65, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x0b, 0x70, 0x72, 0x6f, 0x64, 0x75,
	0x63, 0x74, 0x54, 0x79, 0x70, 0x65, 0x12, 0x45, 0x0a, 0x05, 0x73, 0x74, 0x61, 0x74, 0x65, 0x18,
	0x15, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x2f, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74,
	0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f,
	0x6e, 0x61, 0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x53, 0x74, 0x61, 0x74,
	0x65, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x05, 0x73, 0x74, 0x61, 0x74, 0x65, 0x12, 0x4d, 0x0a,
	0x0a, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x5f, 0x61, 0x74, 0x18, 0x17, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x2e, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61,
	0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79,
	0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x52, 0x61, 0x6e, 0x67,
	0x65, 0x52, 0x09, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x41, 0x74, 0x12, 0x3b, 0x0a, 0x0a,
	0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x5f, 0x62, 0x79, 0x18, 0x18, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x1c, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62,
	0x75, 0x66, 0x2e, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x09,
	0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x42, 0x79, 0x12, 0x4d, 0x0a, 0x0a, 0x75, 0x70, 0x64,
	0x61, 0x74, 0x65, 0x64, 0x5f, 0x61, 0x74, 0x18, 0x19, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x2e, 0x2e,
	0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76,
	0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6d,
	0x6d, 0x6f, 0x6e, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x52, 0x61, 0x6e, 0x67, 0x65, 0x52, 0x09, 0x75,
	0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x41, 0x74, 0x12, 0x3b, 0x0a, 0x0a, 0x75, 0x70, 0x64, 0x61,
	0x74, 0x65, 0x64, 0x5f, 0x62, 0x79, 0x18, 0x1a, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x67,
	0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x53,
	0x74, 0x72, 0x69, 0x6e, 0x67, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x09, 0x75, 0x70, 0x64, 0x61,
	0x74, 0x65, 0x64, 0x42, 0x79, 0x4a, 0x04, 0x08, 0x06, 0x10, 0x15, 0x4a, 0x04, 0x08, 0x16, 0x10,
	0x17, 0x22, 0x2e, 0x0a, 0x1c, 0x47, 0x65, 0x74, 0x43, 0x68, 0x65, 0x6d, 0x69, 0x63, 0x61, 0x6c,
	0x43, 0x6c, 0x61, 0x73, 0x73, 0x47, 0x72, 0x6f, 0x75, 0x70, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x02, 0x69,
	0x64, 0x22, 0x68, 0x0a, 0x1d, 0x47, 0x65, 0x74, 0x43, 0x68, 0x65, 0x6d, 0x69, 0x63, 0x61, 0x6c,
	0x43, 0x6c, 0x61, 0x73, 0x73, 0x47, 0x72, 0x6f, 0x75, 0x70, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e,
	0x73, 0x65, 0x12, 0x47, 0x0a, 0x04, 0x69, 0x74, 0x65, 0x6d, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x33, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72,
	0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f,
	0x6d, 0x64, 0x2e, 0x43, 0x68, 0x65, 0x6d, 0x69, 0x63, 0x61, 0x6c, 0x43, 0x6c, 0x61, 0x73, 0x73,
	0x47, 0x72, 0x6f, 0x75, 0x70, 0x52, 0x04, 0x69, 0x74, 0x65, 0x6d, 0x22, 0x92, 0x02, 0x0a, 0x1d,
	0x4c, 0x69, 0x73, 0x74, 0x43, 0x68, 0x65, 0x6d, 0x69, 0x63, 0x61, 0x6c, 0x43, 0x6c, 0x61, 0x73,
	0x73, 0x47, 0x72, 0x6f, 0x75, 0x70, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x51, 0x0a,
	0x06, 0x66, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x39, 0x2e,
	0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76,
	0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x6d, 0x64, 0x2e,
	0x43, 0x68, 0x65, 0x6d, 0x69, 0x63, 0x61, 0x6c, 0x43, 0x6c, 0x61, 0x73, 0x73, 0x47, 0x72, 0x6f,
	0x75, 0x70, 0x46, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x52, 0x06, 0x66, 0x69, 0x6c, 0x74, 0x65, 0x72,
	0x12, 0x46, 0x0a, 0x07, 0x73, 0x6f, 0x72, 0x74, 0x69, 0x6e, 0x67, 0x18, 0x02, 0x20, 0x03, 0x28,
	0x0b, 0x32, 0x2c, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61,
	0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79,
	0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x53, 0x6f, 0x72, 0x74, 0x69, 0x6e, 0x67, 0x52,
	0x07, 0x73, 0x6f, 0x72, 0x74, 0x69, 0x6e, 0x67, 0x12, 0x56, 0x0a, 0x0a, 0x70, 0x61, 0x67, 0x69,
	0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x36, 0x2e, 0x66,
	0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31,
	0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d,
	0x6f, 0x6e, 0x2e, 0x50, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x52, 0x0a, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e,
	0x22, 0xc4, 0x01, 0x0a, 0x1e, 0x4c, 0x69, 0x73, 0x74, 0x43, 0x68, 0x65, 0x6d, 0x69, 0x63, 0x61,
	0x6c, 0x43, 0x6c, 0x61, 0x73, 0x73, 0x47, 0x72, 0x6f, 0x75, 0x70, 0x52, 0x65, 0x73, 0x70, 0x6f,
	0x6e, 0x73, 0x65, 0x12, 0x49, 0x0a, 0x05, 0x69, 0x74, 0x65, 0x6d, 0x73, 0x18, 0x01, 0x20, 0x03,
	0x28, 0x0b, 0x32, 0x33, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e,
	0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72,
	0x79, 0x5f, 0x6d, 0x64, 0x2e, 0x43, 0x68, 0x65, 0x6d, 0x69, 0x63, 0x61, 0x6c, 0x43, 0x6c, 0x61,
	0x73, 0x73, 0x47, 0x72, 0x6f, 0x75, 0x70, 0x52, 0x05, 0x69, 0x74, 0x65, 0x6d, 0x73, 0x12, 0x57,
	0x0a, 0x0a, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x02, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x37, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e,
	0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72,
	0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x50, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74,
	0x69, 0x6f, 0x6e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x52, 0x0a, 0x70, 0x61, 0x67,
	0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x22, 0x68, 0x0a, 0x1d, 0x53, 0x61, 0x76, 0x65, 0x43,
	0x68, 0x65, 0x6d, 0x69, 0x63, 0x61, 0x6c, 0x43, 0x6c, 0x61, 0x73, 0x73, 0x47, 0x72, 0x6f, 0x75,
	0x70, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x47, 0x0a, 0x04, 0x69, 0x74, 0x65, 0x6d,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x33, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63,
	0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69,
	0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x6d, 0x64, 0x2e, 0x43, 0x68, 0x65, 0x6d, 0x69, 0x63, 0x61,
	0x6c, 0x43, 0x6c, 0x61, 0x73, 0x73, 0x47, 0x72, 0x6f, 0x75, 0x70, 0x52, 0x04, 0x69, 0x74, 0x65,
	0x6d, 0x22, 0x30, 0x0a, 0x1e, 0x53, 0x61, 0x76, 0x65, 0x43, 0x68, 0x65, 0x6d, 0x69, 0x63, 0x61,
	0x6c, 0x43, 0x6c, 0x61, 0x73, 0x73, 0x47, 0x72, 0x6f, 0x75, 0x70, 0x52, 0x65, 0x73, 0x70, 0x6f,
	0x6e, 0x73, 0x65, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52,
	0x02, 0x69, 0x64, 0x42, 0x6b, 0x0a, 0x28, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x61,
	0x70, 0x69, 0x73, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76,
	0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x6d, 0x64, 0x50,
	0x01, 0x5a, 0x3a, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x66, 0x63,
	0x70, 0x61, 0x72, 0x74, 0x6e, 0x65, 0x72, 0x73, 0x2f, 0x61, 0x70, 0x69, 0x73, 0x2f, 0x67, 0x65,
	0x6e, 0x2f, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2f, 0x76, 0x31, 0x2f,
	0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x6d, 0x64, 0xba, 0x02, 0x00,
	0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_v1_dictionary_md_chemical_class_group_proto_rawDescOnce sync.Once
	file_v1_dictionary_md_chemical_class_group_proto_rawDescData = file_v1_dictionary_md_chemical_class_group_proto_rawDesc
)

func file_v1_dictionary_md_chemical_class_group_proto_rawDescGZIP() []byte {
	file_v1_dictionary_md_chemical_class_group_proto_rawDescOnce.Do(func() {
		file_v1_dictionary_md_chemical_class_group_proto_rawDescData = protoimpl.X.CompressGZIP(file_v1_dictionary_md_chemical_class_group_proto_rawDescData)
	})
	return file_v1_dictionary_md_chemical_class_group_proto_rawDescData
}

var file_v1_dictionary_md_chemical_class_group_proto_msgTypes = make([]protoimpl.MessageInfo, 8)
var file_v1_dictionary_md_chemical_class_group_proto_goTypes = []interface{}{
	(*ChemicalClassGroup)(nil),                    // 0: fcp.dictionary.v1.dictionary_md.ChemicalClassGroup
	(*ChemicalClassGroupFilter)(nil),              // 1: fcp.dictionary.v1.dictionary_md.ChemicalClassGroupFilter
	(*GetChemicalClassGroupRequest)(nil),          // 2: fcp.dictionary.v1.dictionary_md.GetChemicalClassGroupRequest
	(*GetChemicalClassGroupResponse)(nil),         // 3: fcp.dictionary.v1.dictionary_md.GetChemicalClassGroupResponse
	(*ListChemicalClassGroupRequest)(nil),         // 4: fcp.dictionary.v1.dictionary_md.ListChemicalClassGroupRequest
	(*ListChemicalClassGroupResponse)(nil),        // 5: fcp.dictionary.v1.dictionary_md.ListChemicalClassGroupResponse
	(*SaveChemicalClassGroupRequest)(nil),         // 6: fcp.dictionary.v1.dictionary_md.SaveChemicalClassGroupRequest
	(*SaveChemicalClassGroupResponse)(nil),        // 7: fcp.dictionary.v1.dictionary_md.SaveChemicalClassGroupResponse
	(dictionary_common.ProductType)(0),            // 8: fcp.dictionary.v1.dictionary_common.ProductType
	(dictionary_common.ProductProcess)(0),         // 9: fcp.dictionary.v1.dictionary_common.ProductProcess
	(*dictionary_common.Audit)(nil),               // 10: fcp.dictionary.v1.dictionary_common.Audit
	(*wrappers.Int64Value)(nil),                   // 11: google.protobuf.Int64Value
	(*wrappers.StringValue)(nil),                  // 12: google.protobuf.StringValue
	(*dictionary_common.ProductProcessValue)(nil), // 13: fcp.dictionary.v1.dictionary_common.ProductProcessValue
	(*dictionary_common.ProductTypeValue)(nil),    // 14: fcp.dictionary.v1.dictionary_common.ProductTypeValue
	(*dictionary_common.StateValue)(nil),          // 15: fcp.dictionary.v1.dictionary_common.StateValue
	(*dictionary_common.TimeRange)(nil),           // 16: fcp.dictionary.v1.dictionary_common.TimeRange
	(*dictionary_common.Sorting)(nil),             // 17: fcp.dictionary.v1.dictionary_common.Sorting
	(*dictionary_common.PaginationRequest)(nil),   // 18: fcp.dictionary.v1.dictionary_common.PaginationRequest
	(*dictionary_common.PaginationResponse)(nil),  // 19: fcp.dictionary.v1.dictionary_common.PaginationResponse
}
var file_v1_dictionary_md_chemical_class_group_proto_depIdxs = []int32{
	8,  // 0: fcp.dictionary.v1.dictionary_md.ChemicalClassGroup.product_type:type_name -> fcp.dictionary.v1.dictionary_common.ProductType
	9,  // 1: fcp.dictionary.v1.dictionary_md.ChemicalClassGroup.product_process:type_name -> fcp.dictionary.v1.dictionary_common.ProductProcess
	10, // 2: fcp.dictionary.v1.dictionary_md.ChemicalClassGroup.audit:type_name -> fcp.dictionary.v1.dictionary_common.Audit
	11, // 3: fcp.dictionary.v1.dictionary_md.ChemicalClassGroupFilter.id:type_name -> google.protobuf.Int64Value
	11, // 4: fcp.dictionary.v1.dictionary_md.ChemicalClassGroupFilter.external_id:type_name -> google.protobuf.Int64Value
	12, // 5: fcp.dictionary.v1.dictionary_md.ChemicalClassGroupFilter.name:type_name -> google.protobuf.StringValue
	13, // 6: fcp.dictionary.v1.dictionary_md.ChemicalClassGroupFilter.product_process:type_name -> fcp.dictionary.v1.dictionary_common.ProductProcessValue
	14, // 7: fcp.dictionary.v1.dictionary_md.ChemicalClassGroupFilter.product_type:type_name -> fcp.dictionary.v1.dictionary_common.ProductTypeValue
	15, // 8: fcp.dictionary.v1.dictionary_md.ChemicalClassGroupFilter.state:type_name -> fcp.dictionary.v1.dictionary_common.StateValue
	16, // 9: fcp.dictionary.v1.dictionary_md.ChemicalClassGroupFilter.created_at:type_name -> fcp.dictionary.v1.dictionary_common.TimeRange
	12, // 10: fcp.dictionary.v1.dictionary_md.ChemicalClassGroupFilter.created_by:type_name -> google.protobuf.StringValue
	16, // 11: fcp.dictionary.v1.dictionary_md.ChemicalClassGroupFilter.updated_at:type_name -> fcp.dictionary.v1.dictionary_common.TimeRange
	12, // 12: fcp.dictionary.v1.dictionary_md.ChemicalClassGroupFilter.updated_by:type_name -> google.protobuf.StringValue
	0,  // 13: fcp.dictionary.v1.dictionary_md.GetChemicalClassGroupResponse.item:type_name -> fcp.dictionary.v1.dictionary_md.ChemicalClassGroup
	1,  // 14: fcp.dictionary.v1.dictionary_md.ListChemicalClassGroupRequest.filter:type_name -> fcp.dictionary.v1.dictionary_md.ChemicalClassGroupFilter
	17, // 15: fcp.dictionary.v1.dictionary_md.ListChemicalClassGroupRequest.sorting:type_name -> fcp.dictionary.v1.dictionary_common.Sorting
	18, // 16: fcp.dictionary.v1.dictionary_md.ListChemicalClassGroupRequest.pagination:type_name -> fcp.dictionary.v1.dictionary_common.PaginationRequest
	0,  // 17: fcp.dictionary.v1.dictionary_md.ListChemicalClassGroupResponse.items:type_name -> fcp.dictionary.v1.dictionary_md.ChemicalClassGroup
	19, // 18: fcp.dictionary.v1.dictionary_md.ListChemicalClassGroupResponse.pagination:type_name -> fcp.dictionary.v1.dictionary_common.PaginationResponse
	0,  // 19: fcp.dictionary.v1.dictionary_md.SaveChemicalClassGroupRequest.item:type_name -> fcp.dictionary.v1.dictionary_md.ChemicalClassGroup
	20, // [20:20] is the sub-list for method output_type
	20, // [20:20] is the sub-list for method input_type
	20, // [20:20] is the sub-list for extension type_name
	20, // [20:20] is the sub-list for extension extendee
	0,  // [0:20] is the sub-list for field type_name
}

func init() { file_v1_dictionary_md_chemical_class_group_proto_init() }
func file_v1_dictionary_md_chemical_class_group_proto_init() {
	if File_v1_dictionary_md_chemical_class_group_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_v1_dictionary_md_chemical_class_group_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ChemicalClassGroup); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_md_chemical_class_group_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ChemicalClassGroupFilter); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_md_chemical_class_group_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetChemicalClassGroupRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_md_chemical_class_group_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetChemicalClassGroupResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_md_chemical_class_group_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListChemicalClassGroupRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_md_chemical_class_group_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListChemicalClassGroupResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_md_chemical_class_group_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SaveChemicalClassGroupRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_md_chemical_class_group_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SaveChemicalClassGroupResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_v1_dictionary_md_chemical_class_group_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   8,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_v1_dictionary_md_chemical_class_group_proto_goTypes,
		DependencyIndexes: file_v1_dictionary_md_chemical_class_group_proto_depIdxs,
		MessageInfos:      file_v1_dictionary_md_chemical_class_group_proto_msgTypes,
	}.Build()
	File_v1_dictionary_md_chemical_class_group_proto = out.File
	file_v1_dictionary_md_chemical_class_group_proto_rawDesc = nil
	file_v1_dictionary_md_chemical_class_group_proto_goTypes = nil
	file_v1_dictionary_md_chemical_class_group_proto_depIdxs = nil
}
